/*
 * Copyright (c) 2023, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
#pragma once

/* Offsets for temperature and voltage for sensing */
#define HSSC_CURRENT_OFFSET 0
#define HSSC_TEMP_OFFSET 8
#define HSSC_VOUT_OFFSET 12
#define HSSC_VBB_OFFSET 16

#define HSSC_KSNS 5000.0f
#define HSSC_KSNS_SCALE 1200.0f
#define HSSC_RSNS 700.0f
#define HSSC_ADCREF 2.8f

#define SNS_DATA_PERIOD_MS 300
#define FLT_DATA_PERIOD_MS 500

#define HSSC_PAYLOAD_PACKET_SIZE 3
#define HSSC_RAW_WRITE_SIZE 2
#define HSSC_CHAN_NUM_OFFSET 8

#define HSSC_DIGIPOT_START 0x7B

/* Various firmware versions*/
#define FW_VER_PURPLE 0x20B0
#define FW_VER_TEAL 0x20B2

#define HSS_CHANNEL_FAULT_MASK 0x0FF
